Bug 195614 - mc ignores Preserve Attributes checkbox and always preserves attributes
mc ignores Preserve Attributes checkbox and always preserves attributes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-15 17:49 EDT by Radek Bíba
Modified: 2013-07-02 19:16 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.6.1a-50.20070604cvs.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 00:52:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix (541 bytes, patch)
2006-11-13 14:53 EST, Tomas Heinrich
no flags Details | Diff

  None (edit)
Description Radek Bíba 2006-06-15 17:49:04 EDT
Description of problem:
mc man page says:
Preserve attributes
... If this option is not set, the current value of the umask will be respected.

However, when I uncheck that checkbox in the copy dialog, target file is always
created with mode 600 - my biggest concern is that it's not readable for anyone
but me. My umask is 0022.

Version-Release number of selected component (if applicable):
mc-4.6.1a-13.FC5

How reproducible:
Always

Steps to Reproduce:
1. launch mc
2. go to a file with unusual permissions (the bug will then reveal better)
3. F5, uncheck Preserve attributes, OK
  
Actual results:
target file has mode 600

Expected results:
target file mode respects umask

Additional info:
Life would be really cool without this bug. One could then e.g. copy files from
CDs of FAT partitions, where the files have undesired permissions, into
destination directories without having to chmod them to something usable -
currently, neither Preserve Attributes nor this option disabled create copies
that are appropriate for further sharing.
Comment 1 Tomas Heinrich 2006-11-13 14:53:24 EST
Created attachment 141092 [details]
fix
Comment 2 Radek Bíba 2007-02-04 11:19:42 EST
What mc with the patch above does is it preserves attributes of the source file
when Preserve Attributes is unchecked. So now it basically doesn't matter if it's
checked or not...
Comment 3 Tomas Heinrich 2007-02-13 22:04:27 EST
it works for me. if the destination file already exists and Preserver Attributes 
is unchecked, the destination file keeps its former attributes. maybe this is 
your case..? i've copied this behaviour from cp, so i hope it's correct.
please let me know, if there's some other issue.
Comment 4 Radek Bíba 2007-11-12 11:22:34 EST
Just tried in Fedora 8 - I'm seeing the behavior I described in comment 2. Looks
like the patch made it into mc. But that's wrong, as I said, mc with this patch
simply ignores the Preserve Attributes checkbox - the destination file gets
permissions identical to the permissions of the original file REGARDLESS OF the
checkbox value (checked or not). I'm talking about a situation where the
destination file doesn't exist before copying.

Changing bug summary accordingly.
Comment 5 Jindrich Novy 2007-11-14 09:03:54 EST
It's now fixed in F8 cvs. Will be really fixed as the next mc update for F8 will
show up.

Thanks for reporting!
Comment 6 Fedora Update System 2007-11-14 22:36:49 EST
mc-4.6.1a-50.20070604cvs.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mc'
Comment 7 Radek Bíba 2007-11-15 13:17:51 EST
With the version now in updates-testing, mc is back where it was when this bug
was reported. (see comment 0.) So the problem with ignoring Preserve Attributes
is fixed, but not in the way I expected :) 
Comment 8 Fedora Update System 2007-11-20 13:03:10 EST
mc-4.6.1a-50.20070604cvs.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Radek Bíba 2007-11-21 04:49:05 EST
It does! As written in comment 7.
Comment 10 Bug Zapper 2008-11-26 01:59:13 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-01-09 01:57:31 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Radek Bíba 2009-01-09 10:23:20 EST
Sorry for not responding back earlier. It's still around.
Comment 13 Bug Zapper 2009-11-18 03:07:17 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-12-18 00:52:50 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.